<template>
	<view class="page-total">
		<view class="tab-list">
			<view class="list" v-for="(item,index) in TabBarList" 
			@click="onTabBar(item,index)" :style="{marginTop: (index == 2) ?  '-18px' : '0px'}"
			:key="index">
				<image :src="item.acImg" mode="widthFix" v-show="tabBarShow === index" :style="{width: (index == 2) ?  '40px' : '24px',borderRadius: (index == 2) ?  '12px' : '0px'}"></image>
				<image :src="item.img" mode="widthFix" v-show="tabBarShow != index" :style="{width: (index == 2) ?  '40px' : '24px',borderRadius: (index == 2) ?  '12px' : '0px'}"></image>
				
				<!-- background: (index == 2) ?  'red' : '' -->
				<text  :class="{'action':tabBarShow===index}" :style="{marginTop: (index == 2) ?  '4px' : '0px'}">{{item.name}}</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				TabBarList:[
					{
						index: 0,
						name: '首页',
						img: '/static/tabbar/select_home.png',
						acImg: '/static/tabbar/home.png'
					},
					{
						index: 1,
						name: '地图',
						img: '/static/tabbar/select_sq.png',
						acImg: '/static/tabbar/sq.png'
					},
					{
						index: 2,
						name: '扫一扫',
						img: '/static/tabbar/find.png',
						acImg: '/static/tabbar/find.png'
					},
					{
						index: 3,
						name: '订单',
						img: '/static/tabbar/select_order.png',
						acImg: '/static/tabbar/order.png'
					},
					{
						index: 4,
						name: '我的',
						img: '/static/tabbar/select_my.png',
						acImg: '/static/tabbar/my.png'
					},
				],
				codeheight: 0,
				isOverall: 0,
				phoneModel: '',
			};
		},
		props:{
			tabBarShow: {
				type: Number,
				default: 0,
			}
		},
		mounted() {
			try {
			    const res = uni.getSystemInfoSync();
					let that = this;
			    // 获取系统信息
			    uni.getSystemInfo({
			    	success(res) {
			    		console.log(res.brand) //手机牌子
			    		console.log(res.model) //手机型号
			    		console.log(res.screenWidth) //屏幕宽度
			    		console.log(res.screenHeight) //屏幕高度
							that.codeheight = Math.round(res.screenHeight);
							that.phoneModel =res.model
							if(res.model.search('iPhone')){
								that.isOverall = 0;
							}else if(Math.round(res.screenHeight)>740){
							 that.isOverall = 1;
							}
							console.log(that.isOverall);
			    	}
			    });
			} catch (e) {
			    // error
			}
		},
		methods:{
			/**
			 * @param {Object} item
			 * @param {Number} index
			 */
			onTabBar(item,index){
				// this.tabBarShow = index;
				switch (index){
					case 0:
						uni.switchTab({
							url:'/pages/home/home'
						})
						break;
					case 1:
						uni.switchTab({
							url:'/pages/index/index'
						})
						break;
					case 2:
						uni.switchTab({
							url:'/pages/sweep/sweep'
						})
						break;
					case 3:
						uni.switchTab({
							url:'/pages/order/order'
						})
						break;
					case 4:
						uni.switchTab({
							url:'/pages/mine/mine'
						})
						break;
				}
			}
		}
	}
</script>

<style scoped lang="scss">
	@import 'cc-myTabbar.scss';
</style>
